Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -25,5 +25,5 @@
 #ifdef ISOTRAC
 USE isotrac_mod, ONLY: option_revap,index_iso,izone_revap
-use isotrac_routines_mod, only: ajoute_revap, &
+use isotrac_routines_mod, ONLY: ajoute_revap, &
 &       compress_ilp_evap_glace_zone,compress_ilp_evap_liq_zone, &
 &       uncompress_ilp_zone
@@ -101,9 +101,9 @@
 icas_evap_glace=0
 #ifdef ISOVERIF
-!     write(*,*) 'iso_routines tmp 96: entree'
+!     WRITE(*,*) 'iso_routines tmp 96: entree'
 ! initialisation de l'outil de tracage de cas:
 DO i=1,klon
   trace_cas(i)=0
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(zxt_ancien(iso_eau,i), &
 &                  zq_ancien(i),'iso_revap_ilp 94', &
@@ -118,6 +118,6 @@
 DO i=1,klon
 IF (zrfl_ancien(i) .GT.0.) THEN
-  if (zrfln(i).gt.ridicule*1e-2) then          
-     if (zt(i).ge.ztglace_kelvin) then
+  if (zrfln(i).gt.ridicule*1e-2) THEN
+     if (zt(i).ge.ztglace_kelvin) THEN
        icas_evap_liq=icas_evap_liq+1    
        cas_evap_liq(icas_evap_liq)=i
@@ -125,5 +125,5 @@
        trace_cas(i)=2               
 #endif  
-     else !if (zt(i).ge.ztglace_kelvin) then
+     else !if (zt(i).ge.ztglace_kelvin) THEN
        icas_evap_glace=icas_evap_glace+1    
        cas_evap_glace(icas_evap_glace)=i
@@ -131,6 +131,6 @@
        trace_cas(i)=3
 #endif       
-     endif !if (zt(i).ge.ztglace_kelvin) then
-    else !if (zrfln(i).gt.ridicule*1e-2) then  
+     endif !if (zt(i).ge.ztglace_kelvin) THEN
+    else !if (zrfln(i).gt.ridicule*1e-2) THEN
        icas_evap_tot=icas_evap_tot+1    
 !               cas_evap_tot(icas_evap_tot)=i
@@ -146,5 +146,5 @@
 #ifdef ISOVERIF
        trace_cas(i)=1
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(zxt(iso_eau,i), &
 &                  zq(i),'iso_revap_ilp 116',errmax,errmaxrel)
@@ -159,5 +159,5 @@
 #endif
 #endif
-    endif !if (zrfln(i).gt.ridicule*1e-2) then  
+    endif !if (zrfln(i).gt.ridicule*1e-2) THEN
 else !IF (zrfl_ancien(i) .GT.0.) THEN
     ! pas de precip, rien à signaler
@@ -170,9 +170,9 @@
 #ifdef ISOVERIF
      trace_cas(i)=4
-!     write(*,*) 'iso_routines tmp 160: i=',i
-!        write(*,*) 'zrfl(i)=',zrfl(i)
-!        write(*,*) 'zrfln(i)=',zrfln(i)
-!        write(*,*) 'zrfl_ancien(i)=',zrfl_ancien(i)
-!        write(*,*) 'zqev_diag(i)=',zqev_diag(i)
+!     WRITE(*,*) 'iso_routines tmp 160: i=',i
+!        WRITE(*,*) 'zrfl(i)=',zrfl(i)
+!        WRITE(*,*) 'zrfln(i)=',zrfln(i)
+!        WRITE(*,*) 'zrfl_ancien(i)=',zrfl_ancien(i)
+!        WRITE(*,*) 'zqev_diag(i)=',zqev_diag(i)
      CALL iso_verif_egalite_choix(zqev_diag(i), &
 &                  0.0,'iso_revap_ilp 148a',ridicule,errmaxrel)
@@ -181,5 +181,5 @@
      CALL iso_verif_egalite_choix(zrfln(i), &
 &                  0.0,'iso_revap_ilp 148c',ridicule,errmaxrel)
-     if (iso_eau.gt.0) then
+     if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(zxt(iso_eau,i), &
 &                  zq(i),'iso_revap_ilp 149',errmax,errmaxrel)
@@ -189,17 +189,17 @@
 &                  zrfl(i),'iso_revap_ilp 151b',errmax,errmaxrel)
      endif
-     if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
-        if (zq(i).gt.ridicule) then
+     if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        if (zq(i).gt.ridicule) THEN
            CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                          'iso_revap_ilp 178')
            CALL iso_verif_O18_aberrant(zxt(iso_HDO,i)/zq(i), &
                      zxt(iso_O18,i)/zq(i),'iso_revap_ilp 180')
-        endif !if (zq(i).gt.ridicule) then
-     endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) then
+        endif !if (zq(i).gt.ridicule) THEN
+     endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) THEN
 #ifdef ISOTRAC
      CALL iso_verif_traceur(zxtrfl_ancien(1,i), &
 &           'iso_revap_fisrtilp 201: debut quand pas de precip')
 #endif
-!     write(*,*) 'iso_routines tmp 184'
+!     WRITE(*,*) 'iso_routines tmp 184'
 #endif               
 END IF !IF (zrfl_ancien(i) .GT.0.) THEN
@@ -209,13 +209,12 @@
 ncas_evap_tot=icas_evap_tot
 
-!      write(*,*) 'zrfln 773,k,klev,klon=',k,klev,klon
-!      write(*,*) 'ncas_evap_liq=',ncas_evap_liq
-!      write(*,*) 'ncas_evap_glace=',ncas_evap_glace
-!      write(*,*) 'ncas_evap_tot=',ncas_evap_tot
+!      WRITE(*,*) 'zrfln 773,k,klev,klon=',k,klev,klon
+!      WRITE(*,*) 'ncas_evap_liq=',ncas_evap_liq
+!      WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
+!      WRITE(*,*) 'ncas_evap_tot=',ncas_evap_tot
 
 
 ! ** cas evap_liq=2
-IF (ncas_evap_liq.gt.0) then
-
+IF (ncas_evap_liq.gt.0) THEN
   CALL compress_ilp_evap_liq( &
 &       ncas_evap_liq,cas_evap_liq(1), &
@@ -248,10 +247,10 @@
 &           'iso_revap_fisrtilp 695; ap compress_evap_liq', &
 &           errmax,errmaxrel)
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
     CALL iso_verif_egalite_choix(( &
 &           zxtrfl_cas(iso_eau,i)),(zrfl_cas(i)), &
 &           'iso_revap_fisrtilp 639; ap compress_evap_liq', &
 &           errmax,errmaxrel)
-  endif ! if (iso_eau.gt.0) then
+  endif ! if (iso_eau.gt.0) THEN
   CALL iso_verif_egalite_choix(zqev_diag_cas(i), &
 &           zqev_diag(cas_evap_liq(i)), &
@@ -268,8 +267,8 @@
 &          'iso_revap_fisrtilp 691, après compress_evap_liq')
  enddo !do i=1,ncas_evap_liq
-!         write(*,*) 'iso_revap_fisrtilp temp 715: qeff(1),zqs_cas(1)=',
+!         WRITE(*,*) 'iso_revap_fisrtilp temp 715: qeff(1),zqs_cas(1)=',
 !     :           qeff(1),zqs_cas(1)
 #endif       
- if (no_pce.eq.1) then
+ if (no_pce.eq.1) THEN
      CALL stewart_sublim_nofrac_vectall( &
 &        ncas_evap_liq,zq_cas(1), &
@@ -278,6 +277,5 @@
 &        zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1), &
 &        fac_fluxtomixratio(1))
- else !if (no_pce.eq.1) then
-     
+ else !if (no_pce.eq.1) THEN
   CALL stewart_explicite_vectall(ncas_evap_liq, &
 &           zq_cas(1),zxt_cas(1,1), &
@@ -293,6 +291,5 @@
 #endif
 &   )
-END IF !if (no_pce.eq.1) then
-
+END IF !if (no_pce.eq.1) THEN
 #ifdef ISOVERIF
   do i=1,ncas_evap_liq
@@ -306,5 +303,5 @@
    enddo
   enddo
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
      do i=1,ncas_evap_liq
        CALL iso_verif_egalite_choix( &
@@ -317,8 +314,8 @@
 &                  'il pleut 4102',errmax,errmaxrel)        
       enddo !do i=1,ncas_evap_liq
-   endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-   if (iso_HDO.gt.0) then
+   endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+   if (iso_HDO.gt.0) THEN
       do i=1,ncas_evap_liq
-         if (zrfln_cas(i).gt.ridicule_rain) then
+         if (zrfln_cas(i).gt.ridicule_rain) THEN
                 CALL iso_verif_aberrant( &
 &                  (zxtrfln_cas(iso_HDO,i) &
@@ -326,20 +323,20 @@
          endif
        enddo !do i=1,ncas_evap_liq
-   endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
-   !  write(*,*) 'iso_routines tmp 308: i=',i
-   if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+   endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+   !  WRITE(*,*) 'iso_routines tmp 308: i=',i
+   if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do i=1,ncas_evap_liq
-        if (zq(i).gt.ridicule) then
+        if (zq(i).gt.ridicule) THEN
            CALL iso_verif_aberrant_encadre((zxtnew_cas(iso_HDO,i))/zq(cas_evap_liq(i)), &
                          'iso_revap_ilp 311')
            CALL iso_verif_O18_aberrant((zxtnew_cas(iso_HDO,i))/zq(cas_evap_liq(i)), &
                      (zxtnew_cas(iso_O18,i))/zq(cas_evap_liq(i)),'iso_revap_ilp 312')
-        endif !if (zq(i).gt.ridicule) then
+        endif !if (zq(i).gt.ridicule) THEN
         enddo !do i=1,ncas_evap_liq
-    endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) then     
-    ! write(*,*) 'iso_routines tmp 319'
+    endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) THEN
+    ! WRITE(*,*) 'iso_routines tmp 319'
 #endif
   if ((bidouille_anti_divergence).and. &
-&           (iso_eau.gt.0)) then
+&           (iso_eau.gt.0)) THEN
     do i=1,ncas_evap_liq
       zxtrfln_cas(iso_eau,i)=zrfln_cas(i)
@@ -361,15 +358,15 @@
   
 #ifdef ISOVERIF          
-  write(*,*) 'iso_revap_ilp 245 tmp: izone=',izone
-  write(*,*) 'avant CALL compress_ilp_evap_liq_zone'
-!          if (ncas_evap_liq.ge.9) then
+  WRITE(*,*) 'iso_revap_ilp 245 tmp: izone=',izone
+  WRITE(*,*) 'avant CALL compress_ilp_evap_liq_zone'
+!          if (ncas_evap_liq.ge.9) THEN
 !          i=9
-!          write(*,*) 'i,cas_evap_liq(i),zrfln,zrfl_ancien,zqev_diag=',
+!          WRITE(*,*) 'i,cas_evap_liq(i),zrfln,zrfl_ancien,zqev_diag=',
 !     :              i,cas_evap_liq(i),zrfln(cas_evap_liq(i)),
 !     :              zrfl_ancien(cas_evap_liq(i)),
 !     :              zqev_diag(cas_evap_liq(i))
-!          write(*,*) 'zxtrfl_ancien(1:ntraciso:2,i)=',
+!          WRITE(*,*) 'zxtrfl_ancien(1:ntraciso:2,i)=',
 !     :           zxtrfl_ancien(1:ntraciso:2,cas_evap_liq(i))
-!          write(*,*) 'ieau,zxtrfl_ancien(ieau,cas_evap_liq(i)=',
+!          WRITE(*,*) 'ieau,zxtrfl_ancien(ieau,cas_evap_liq(i)=',
 !     :           index_trac(izone,iso_eau),zxtrfl_ancien        
 !     :           (index_trac(izone,iso_eau),cas_evap_liq(i))
@@ -402,5 +399,5 @@
   do i=1,ncas_evap_liq
     ! 1er juin 2009: on remplace ridicule par ridicule*1e3
-    if (ptrac(i).gt.ridicule*1e3) then
+    if (ptrac(i).gt.ridicule*1e3) THEN
       zrfl_cas(i)=zrfl_cas(i)/ptrac(i)
       zqevfl(i)=zqevfl(i)/ptrac(i)
@@ -409,5 +406,5 @@
        zxtrfl_cas(ixt,i)=zxtrfl_cas(ixt,i)/ptrac(i)
       enddo               
-    else !if (ptrac(i).gt.ridicule*1e3) then
+    else !if (ptrac(i).gt.ridicule*1e3) THEN
 #ifdef ISOVERIF                
      CALL iso_verif_egalite((zrfl_cas(i)), &
@@ -424,5 +421,5 @@
        zxtrfl_cas(ixt,i)=0.0
      enddo
-    endif !if (ptrac(i).gt.ridicule*1e3) then
+    endif !if (ptrac(i).gt.ridicule*1e3) THEN
   enddo !do i=1,ncas_evap_liq
 
@@ -431,8 +428,8 @@
     if (iso_verif_egalite_nostop(( &
 &           zrfl_cas(i)-zqevfl(i)-zrfln_cas(i)),0.0, &
-&          'iso_revap_fisrtilp 314').eq.1) then
-       write(*,*) 'i,zrfl_cas(i),zqevfl(i),zrfln_cas(i)=', &
+&          'iso_revap_fisrtilp 314').eq.1) THEN
+       WRITE(*,*) 'i,zrfl_cas(i),zqevfl(i),zrfln_cas(i)=', &
 &           i,zrfl_cas(i),zqevfl(i),zrfln_cas(i)
-       write(*,*) 'ptrac(i),zrfl_ancien=', &
+       WRITE(*,*) 'ptrac(i),zrfl_ancien=', &
 &           ptrac(i),zrfl_ancien(cas_evap_liq(i))
        stop
@@ -442,6 +439,6 @@
 &         (zrfl_cas(i)), &
 &         ridicule_rain,deltalimtrac, &
-&         'iso_revap_ilp 342').eq.1) then
-       write(*,*) 'i,ptrac(i),zrfl_cas(i)=', &
+&         'iso_revap_ilp 342').eq.1) THEN
+       WRITE(*,*) 'i,ptrac(i),zrfl_cas(i)=', &
 &           i,ptrac(i),zrfl_cas(i)
        stop
@@ -450,5 +447,5 @@
 #endif          
   
- if (no_pce.eq.1) then
+ if (no_pce.eq.1) THEN
      CALL stewart_sublim_nofrac_vectall( &
 &        ncas_evap_liq,zq_cas(1), & 
@@ -457,5 +454,5 @@
 &        zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1), &
 &        fac_fluxtomixratio(1))
- else !if (no_pce.eq.1) then 
+ else !if (no_pce.eq.1) THEN
   CALL stewart_explicite_vectall(ncas_evap_liq, &
 &           zq_cas(1),zxt_cas(1,1), &
@@ -501,13 +498,13 @@
 &           zxt(ixt,cas_evap_liq(i))+( &
 &           fac_fluxtomixratio(i)*Exi(iiso,i)), &
-&           0.0,'revap_ilp 401').eq.1) then
-     write(*,*) 'i,iiso,iso_eau=',i,iiso,iso_eau
-     write(*,*) 'zxt=',zxt(ixt,cas_evap_liq(i))
-     write(*,*) 'Exi=',Exi(iiso,i)
-     write(*,*) 'zxt_eau=',zxt( &
+&           0.0,'revap_ilp 401').eq.1) THEN
+     WRITE(*,*) 'i,iiso,iso_eau=',i,iiso,iso_eau
+     WRITE(*,*) 'zxt=',zxt(ixt,cas_evap_liq(i))
+     WRITE(*,*) 'Exi=',Exi(iiso,i)
+     WRITE(*,*) 'zxt_eau=',zxt( &
 &           index_trac(izone,iso_eau),cas_evap_liq(i))
-     write(*,*) 'Exi_eau=',Exi(iso_eau,i)
-     write(*,*) 'fac_ftmr=',fac_fluxtomixratio(i)
-     write(*,*) 'ptrac=',ptrac(i)
+     WRITE(*,*) 'Exi_eau=',Exi(iso_eau,i)
+     WRITE(*,*) 'fac_ftmr=',fac_fluxtomixratio(i)
+     WRITE(*,*) 'ptrac=',ptrac(i)
 !             stop
   endif
@@ -540,8 +537,8 @@
   ! différentes zones ont été stockées dans xtrevap_tag
   ! on les somme toute dans la vap au tag revap
-  if (option_revap.eq.1) then
+  if (option_revap.eq.1) THEN
     CALL ajoute_revap(ncas_evap_liq,cas_evap_liq(1), &
 &          klon,izone,zxt(1,1),xtrevap_tag(1,1))            
-  endif !if (option_revap.eq.1) then
+  endif !if (option_revap.eq.1) THEN
 #ifdef ISOVERIF
   do i=1,ncas_evap_liq
@@ -561,16 +558,14 @@
 ! #endif ISOTRAC
 
-END IF !if (ncas_evap_liq.gt.0) then
-
+END IF !if (ncas_evap_liq.gt.0) THEN
 ! ** cas evap_glace=3
-IF (ncas_evap_glace.gt.0) then
-
-#ifdef ISOVERIF
-!      write(*,*) ''
-!      write(*,*) 'iso_revap tmp 469: traitement cas evap glace'
-!      write(*,*) 'cas_evap_glace(1),zqev_diag=',
+IF (ncas_evap_glace.gt.0) THEN
+#ifdef ISOVERIF
+!      WRITE(*,*) ''
+!      WRITE(*,*) 'iso_revap tmp 469: traitement cas evap glace'
+!      WRITE(*,*) 'cas_evap_glace(1),zqev_diag=',
 !     :           cas_evap_glace(1),zqev_diag(cas_evap_glace(1))
 
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
     do i=1,ncas_evap_glace
       CALL iso_verif_egalite_choix( &
@@ -580,5 +575,5 @@
 &           errmax,errmaxrel)
     enddo !do i=1,ncas_evap_glace
-  endif !if (iso_eau.gt.0) then
+  endif !if (iso_eau.gt.0) THEN
 #endif          
   CALL compress_ilp_evap_glace( &
@@ -593,5 +588,5 @@
 &       delP(1),paprs,k,klon,klev,frac_sublim)
 #ifdef ISOVERIF
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
     do i=1,ncas_evap_glace
       
@@ -613,5 +608,5 @@
 &           errmax,errmaxrel) 
     enddo   !do i=1,ncas_evap_glace
-  endif ! if (iso_eau.gt.0) then 
+  endif ! if (iso_eau.gt.0) THEN
 #endif          
   do i=1,ncas_evap_glace
@@ -619,5 +614,5 @@
      zqevfl(i)=zqev_diag_cas(i)/fac_fluxtomixratio(i)
   enddo !do i=1,ncas_evap_glace
-!          write(*,*) 'zqev_diag,fac_fluxtomixratio=',
+!          WRITE(*,*) 'zqev_diag,fac_fluxtomixratio=',
 !     :           zqev_diag(cas_evap_glace(1)),
 !     :           fac_fluxtomixratio(1)
@@ -626,13 +621,13 @@
     CALL iso_verif_noNaN((fac_fluxtomixratio(i)), &
 &            'iso_revap_fisrtilp 763')
-!            write(*,*) 'i,cas_evap_glace(i)=',i,cas_evap_glace(i)
-!            write(*,*) 'zqevfl(i),zrfl_cas(i),zrfln_cas(i)=',
+!            WRITE(*,*) 'i,cas_evap_glace(i)=',i,cas_evap_glace(i)
+!            WRITE(*,*) 'zqevfl(i),zrfl_cas(i),zrfln_cas(i)=',
 !     :           zqevfl(i),zrfl_cas(i),zrfln_cas(i)
-!            write(*,*) 'zqev_diag_cas(i),fac_fluxtomixratio(i)=',
+!            WRITE(*,*) 'zqev_diag_cas(i),fac_fluxtomixratio(i)=',
 !     :         zqev_diag_cas(i),fac_fluxtomixratio(i)  
     if (iso_verif_positif_nostop( &
 &           (zrfl_cas(i)-zqevfl(i)),'iso_revap_fisrtilp 776') &
-&           .eq.1) then
-      if (zrfl_cas(i)-zqevfl(i).lt.-ridicule*1e3) then
+&           .eq.1) THEN
+      if (zrfl_cas(i)-zqevfl(i).lt.-ridicule*1e3) THEN
           stop
       endif
@@ -640,5 +635,5 @@
   enddo !do i=1,ncas_evap_glace
 #endif     
-  if (frac_sublim.eq.1) then
+  if (frac_sublim.eq.1) THEN
       CALL stewart_glace_vectall(ncas_evap_glace &
 &                ,zq_cas(1),zxt_cas(1,1) &
@@ -647,5 +642,5 @@
 &                ,zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1) &
 &                ,fac_fluxtomixratio(1),zt(1))
-  else !if (frac_sublim.eq.1) then
+  else !if (frac_sublim.eq.1) THEN
       CALL stewart_sublim_nofrac_vectall(ncas_evap_glace &
 &              ,zq_cas(1),zxt_cas(1,1),zrfl_cas(1),zxtrfl_cas(1,1) &
@@ -653,9 +648,8 @@
 &              ,zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1) &
 &              ,fac_fluxtomixratio(1))
-  endif  !if (frac_sublim.eq.1) then 
-
-#ifdef ISOVERIF
-        !write(*,*) 'ncas_evap_glace=',ncas_evap_glace
-        !write(*,*) 'cas_evap_glace(6)=',cas_evap_glace(6)
+  endif  !if (frac_sublim.eq.1) THEN
+#ifdef ISOVERIF
+        !WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
+        !WRITE(*,*) 'cas_evap_glace(6)=',cas_evap_glace(6)
   do i=1,ncas_evap_glace
    do ixt=1,niso
@@ -668,5 +662,5 @@
    enddo
   enddo !do i=1,ncas_evap_glace
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
      do i=1,ncas_evap_glace
        CALL iso_verif_egalite_choix( &
@@ -679,39 +673,39 @@
 &              zq(cas_evap_glace(i)), &
 &              'iso_revap_fisrtilp 4103',errmax,errmaxrel) &
-&              .eq.1) then
-          write(*,*) 'i,cas_evap_glace(i)=',i,cas_evap_glace(i)
-          write(*,*) 'zq(cas_evap_glace(i))=', &
+&              .eq.1) THEN
+          WRITE(*,*) 'i,cas_evap_glace(i)=',i,cas_evap_glace(i)
+          WRITE(*,*) 'zq(cas_evap_glace(i))=', &
 &                   zq(cas_evap_glace(i))
-          write(*,*) 'zq_cas(i)=',zq_cas(i)
+          WRITE(*,*) 'zq_cas(i)=',zq_cas(i)
           stop
        endif !if (iso_verif_egalite_choix_nostop
       enddo !do i=1,ncas_evap_glace
-   endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-   if (iso_HDO.gt.0) then
+   endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+   if (iso_HDO.gt.0) THEN
       do i=1,ncas_evap_glace
                 CALL iso_verif_aberrant_choix(zxtrfln_cas(iso_HDO,i), zrfln_cas(i), &
                   ridicule_rain,deltalim_snow, 'iso_revap_fisrtilp 4563')
        enddo !do i=1,ncas_evap_glace
-   endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
-   !  write(*,*) 'iso_routines tmp 667: i=',i
-   if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+   endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+   !  WRITE(*,*) 'iso_routines tmp 667: i=',i
+   if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
       do i=1,ncas_evap_glace
-        if (zq(i).gt.ridicule) then
-!     write(*,*) 'iso_routines tmp 679a'
-!        write(*,*) 'cas_evap_glace(i)=',cas_evap_glace(i)
+        if (zq(i).gt.ridicule) THEN
+!     WRITE(*,*) 'iso_routines tmp 679a'
+!        WRITE(*,*) 'cas_evap_glace(i)=',cas_evap_glace(i)
            CALL iso_verif_aberrant_encadre((zxtnew_cas(iso_HDO,i))/zq(cas_evap_glace(i)), &
                          'iso_revap_ilp 669')
-!     write(*,*) 'iso_routines tmp 679b'
+!     WRITE(*,*) 'iso_routines tmp 679b'
            CALL iso_verif_O18_aberrant((zxtnew_cas(iso_HDO,i))/zq(cas_evap_glace(i)), &
                      (zxtnew_cas(iso_O18,i))/zq(cas_evap_glace(i)),'iso_revap_ilp 671')
-!     write(*,*) 'iso_routines tmp 679c'
-        endif !if (zq(i).gt.ridicule) then
+!     WRITE(*,*) 'iso_routines tmp 679c'
+        endif !if (zq(i).gt.ridicule) THEN
         enddo ! do i=1,ncas_evap_glac
-    endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) then
-!     write(*,*) 'iso_routines tmp 679d'
+    endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) THEN
+!     WRITE(*,*) 'iso_routines tmp 679d'
 #endif
 
   if ((bidouille_anti_divergence).and. &
-&           (iso_eau.gt.0)) then
+&           (iso_eau.gt.0)) THEN
     do i=1,ncas_evap_glace
       zxtrfln_cas(iso_eau,i)=zrfln_cas(i)
@@ -721,5 +715,5 @@
 
 #ifdef ISOVERIF
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
     do i=1,ncas_evap_glace
     CALL iso_verif_egalite_choix( &
@@ -728,5 +722,5 @@
 &           errmax,errmaxrel)
     enddo !do i=1,ncas_evap_glace
-  endif !if (iso_eau.gt.0) then
+  endif !if (iso_eau.gt.0) THEN
 #endif          
   
@@ -736,6 +730,6 @@
 &       zxtrfl(1,1),zxtrfln(1,1),zxt(1,1),klon)      
 
-!      write(*,*) 'iso_revap tmp 448: traitement cas evap glace traceurs'
-!      write(*,*) 'zqev_diag,fac_fluxtomixratio=',
+!      WRITE(*,*) 'iso_revap tmp 448: traitement cas evap glace traceurs'
+!      WRITE(*,*) 'zqev_diag,fac_fluxtomixratio=',
 !     :           zqev_diag(cas_evap_glace(1)),
 !     :           fac_fluxtomixratio(1)
@@ -743,5 +737,5 @@
 #ifdef ISOTRAC
   do izone=1,ntraceurs_zone
-!          write(*,*) 'iso_revap_ilp 509 tmp: izone=',izone     
+!          WRITE(*,*) 'iso_revap_ilp 509 tmp: izone=',izone
   ! on compresse, mais en plus on séléctionne que la preciip
   ! correspondant à la zone izone. Par contre, la vapeur reste
@@ -759,5 +753,5 @@
   enddo  
 
-  if (frac_sublim.eq.1) then
+  if (frac_sublim.eq.1) THEN
       CALL stewart_glace_vectall(ncas_evap_glace &
 &                ,zq_cas(1),zxt_cas(1,1) &
@@ -774,5 +768,5 @@
   endif  
   
-!          write(*,*) 'iso_revap_ilp 509 tmp: Exi,zqev_diag_cas=',
+!          WRITE(*,*) 'iso_revap_ilp 509 tmp: Exi,zqev_diag_cas=',
 !     :           Exi(iso_eau,1),zqev_diag_cas(1)
   CALL uncompress_ilp_zone( &
@@ -788,13 +782,13 @@
   ! différentes zones ont été stockées dans xtrevap_tag
   ! on les somme toute dans la vap au tag revap
-  if (option_revap.eq.1) then
+  if (option_revap.eq.1) THEN
     CALL ajoute_revap(ncas_evap_glace,cas_evap_glace(1), &
 &          klon,izone,zxt(1,1),xtrevap_tag(1,1))            
-  endif !if (option_revap.eq.1) then
+  endif !if (option_revap.eq.1) THEN
 #ifdef ISOVERIF
   do i=1,ncas_evap_glace
-!             write(*,*) 'iso_revap_ilp 520 tmp: i=',i
-!             write(*,*) 'zxt=',zxt(iso_eau:ntraciso:3,cas_evap_glace(i))
-!             write(*,*) 'zxt_ancien=',zxt_ancien
+!             WRITE(*,*) 'iso_revap_ilp 520 tmp: i=',i
+!             WRITE(*,*) 'zxt=',zxt(iso_eau:ntraciso:3,cas_evap_glace(i))
+!             WRITE(*,*) 'zxt_ancien=',zxt_ancien
 !     :           (iso_eau:ntraciso:3,cas_evap_glace(i))
      CALL iso_verif_traceur(zxt(1,cas_evap_glace(i)), &
@@ -809,11 +803,10 @@
 !#ifdef ISOTRAC
 
-END IF !if (ncas_evap_glace.gt.0) then
-
+END IF !if (ncas_evap_glace.gt.0) THEN
 #ifdef ISOVERIF          
   ! dernières vérifs pour l'évap
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
 DO i=1,klon
-IF (zrfl_ancien(i).gt.0.0) then
+IF (zrfl_ancien(i).gt.0.0) THEN
 CALL iso_verif_egalite_choix( &
 &           zxtrfln(iso_eau,i), &
@@ -823,7 +816,7 @@
 &         zxtrfl(iso_eau,i), &
 &         zrfl(i),'iso_revap_fisrtilp 802', &
-&         errmax,errmaxrel).eq.1) then
-      write(*,*) 'i,k,trace_cas(i)=',i,k,trace_cas(i)
-      write(*,*) 'zxtrfln(iso_eau,i),zrfln(i)=', &
+&         errmax,errmaxrel).eq.1) THEN
+      WRITE(*,*) 'i,k,trace_cas(i)=',i,k,trace_cas(i)
+      WRITE(*,*) 'zxtrfln(iso_eau,i),zrfln(i)=', &
 &           zxtrfln(iso_eau,i),zrfln(i)
       stop  
@@ -831,11 +824,11 @@
 IF (iso_verif_egalite_choix_nostop( &
 &         zxt(iso_eau,i),zq(i), &
-&         'iso_revap_fisrtilp 807',errmax,errmaxrel).eq.1) then
-  write(*,*) 'i,k,trace_cas(i)=',i,k,trace_cas(i)
+&         'iso_revap_fisrtilp 807',errmax,errmaxrel).eq.1) THEN
+  WRITE(*,*) 'i,k,trace_cas(i)=',i,k,trace_cas(i)
   stop
 END IF !if (iso_verif_egalite_choix_nostop(
-END IF !if (zrfl_ancien(i).gt.0.0) then
+END IF !if (zrfl_ancien(i).gt.0.0) THEN
 END DO !do i=1,klon
-END IF !if (iso_eau.gt.0) then
+END IF !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC      
 ! grande vérif finale
@@ -851,5 +844,5 @@
     enddo
 END DO !do i=1,klon
-        !write(*,*) 'revap_ilp 814: sortie'
+        !WRITE(*,*) 'revap_ilp 814: sortie'
 #endif       
 #endif          
@@ -909,43 +902,42 @@
 
 ! ca ne marche que si déjà de l'eau dans le sol au départ
-IF (qsol0.lt.ridicule_qsol) then
+IF (qsol0.lt.ridicule_qsol) THEN
   do ixt=1,niso
      xtnu(ixt)=Rsol0(ixt)*qevap
   enddo
 #ifdef ISOVERIF
-    if (iso_HDO.gt.0) then
-!                write(*,*) 'sol_nu 66: deltaDsol(iso_HDO)=',         
+    if (iso_HDO.gt.0) THEN
+!                WRITE(*,*) 'sol_nu 66: deltaDsol(iso_HDO)=',
 !     :           (Rsol(iso_HDO)/tnat(iso_HDO)-1)*1000
-!                write(*,*) 'deltaDevap(iso_HDO)=',(Revap(iso_HDO)/
+!                WRITE(*,*) 'deltaDevap(iso_HDO)=',(Revap(iso_HDO)/
 !     :           tnat(iso_HDO)-1)*1000
-    endif !if (iso_HDO.gt.0) then
-#endif
-  return
-END IF !if (qsol0.lt.ridicule_qsol) then
-
+    endif !if (iso_HDO.gt.0) THEN
+#endif
+  RETURN
+END IF !if (qsol0.lt.ridicule_qsol) THEN
 ! vérif des rapports isotopiques en entrée
 #ifdef ISOVERIF
 ! provisoire, à enlever pour tests avec evap sol nu!
-IF (P_veg.eq.1.0) then
+IF (P_veg.eq.1.0) THEN
  CALL iso_verif_egalite(Pveg,1.0,'iso_evap_sol_nu 64')
 END IF
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
   CALL iso_verif_egalite_choix(Rsol0(iso_eau),1.0, &
 &           'sol_nu 83',errmax,errmaxrel)
   CALL iso_verif_egalite_choix(R1(iso_eau),1.0, &
 &           'sol_nu 56',errmax,errmaxrel)
-END IF !if (iso_eau.gt.0) then
-IF (iso_HDO.gt.0) then
-  if (qsol0.gt.ridicule_qsol*1e2) then   
+END IF !if (iso_eau.gt.0) THEN
+IF (iso_HDO.gt.0) THEN
+  if (qsol0.gt.ridicule_qsol*1e2) THEN
      if (iso_verif_aberrant_nostop(Rsol0(iso_HDO)/faccond, &
-&           'sol_nu 58').eq.1) then
-       write(*,*) 'qsol0=',qsol0
+&           'sol_nu 58').eq.1) THEN
+       WRITE(*,*) 'qsol0=',qsol0
        stop
      endif !if (iso_verif_aberrant_nostop
-  endif !if (qsol0.gt.ridicule*1e2) then 
-  if (h.gt.0.01) then
+  endif !if (qsol0.gt.ridicule*1e2) THEN
+  if (h.gt.0.01) THEN
      CALL iso_verif_aberrant(R1(iso_HDO),'sol_nu 59')
-  endif !if (h.gt.0.01) then
-END IF  !if (iso_HDO.gt.0) then
+  endif !if (h.gt.0.01) THEN
+END IF  !if (iso_HDO.gt.0) THEN
 #endif
 
@@ -960,5 +952,5 @@
 
 
-IF (f.lt.ridicule) then
+IF (f.lt.ridicule) THEN
   ! il ne reste plus rien après l'évap
   ! -> evap sans frac  
@@ -967,29 +959,28 @@
   enddo
 
-else !if (f.lt.ridicule) then
-
+else !if (f.lt.ridicule) THEN
 ! 2 e cas simple: h=1
-IF (h.gt.0.99) then
-#ifdef ISOVERIF
-  write(*,*) 'sol_nu 102: h=',h
+IF (h.gt.0.99) THEN
+#ifdef ISOVERIF
+  WRITE(*,*) 'sol_nu 102: h=',h
 #endif                    
   do ixt=1,niso
     CALL fractcalk(ixt,T,zxtalphal(ixt),zxtalphai(ixt))
   enddo ! do ixt=1,niso
-  if (qevap.gt.min(L,qsol0)) then
+  if (qevap.gt.min(L,qsol0)) THEN
       ! évap trop rapide pour fractionner
      do ixt=1,niso
        xtnu(ixt)=qevap*Rsol0(ixt) 
      enddo ! do ixt=1,niso
-  else if (qsol0.lt.L) then
+  else if (qsol0.lt.L) THEN
       ! il ne reste plus beaucou d'eau, tout diffuse
      
      ! cas simple où q10>>qevap
-     if (ordre1.eq.1) then
+     if (ordre1.eq.1) THEN
        do ixt=1,niso
          xtnu(ixt)=qsol0*(Rsol0(ixt)-zxtalphal(ixt)*R1(ixt)) &
 &          +qevap*zxtalphal(ixt)*R1(ixt)
        enddo ! do ixt=1,niso
-     else !if (ordre1.eq.1) then
+     else !if (ordre1.eq.1) THEN
        ! cas général
        do ixt=1,niso
@@ -998,16 +989,15 @@
 &           /(q10+qevap+(qsol0-qevap)*zxtalphal(ixt))
        enddo ! do ixt=1,niso
-     endif !if (ordre1.eq.1) then
-     
-  else !if (qevap.gt.min(L,qsol0)) then
+     endif !if (ordre1.eq.1) THEN
+  else !if (qevap.gt.min(L,qsol0)) THEN
       ! évaporation non totale et plus d'eau que dans couche de
       ! diffusion                                  
      ! cas simple où q10>>qevap
-     if (ordre1.eq.1) then
+     if (ordre1.eq.1) THEN
        do ixt=1,niso
         xtnu(ixt)=L*(Rsol0(ixt)-zxtalphal(ixt)*R1(ixt)) &
 &          +qevap*zxtalphal(ixt)*R1(ixt)
        enddo ! do ixt=1,niso
-      else !if (ordre1.eq.1) then
+      else !if (ordre1.eq.1) THEN
         ! cas général
         do ixt=1,niso
@@ -1016,8 +1006,6 @@
 &           /(q10+qevap+(L-qevap)*zxtalphal(ixt))
         enddo ! do ixt=1,niso
-      endif !if (ordre1.eq.1) then
-  endif !if (qevap.gt.min(L,qsol0)) then
-  
-  
+      endif !if (ordre1.eq.1) THEN
+  endif !if (qevap.gt.min(L,qsol0)) THEN
 #ifdef ISOVERIF
   do ixt=1,niso
@@ -1025,33 +1013,33 @@
 &               'iso_evap_sol_nu 121')
   enddo
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          if (iso_verif_egalite_choix_nostop(xtnu(iso_eau),qevap, &
-&                  'sol_nu 110',errmax,errmaxrel).eq.1) then
-           write(*,*) 'qevap=',qevap
-           write(*,*) 'qsol0=',qsol0
-           write(*,*) 'L=',L
-           write(*,*) 'Rsol0(iso_eau)=',Rsol0(iso_eau)
-           write(*,*) 'R1(iso_eau)=',R1(iso_eau)
-           write(*,*) 'q10=',q10
-           write(*,*) 'zxtalphal(iso_eau)=',zxtalphal(iso_eau)
+&                  'sol_nu 110',errmax,errmaxrel).eq.1) THEN
+           WRITE(*,*) 'qevap=',qevap
+           WRITE(*,*) 'qsol0=',qsol0
+           WRITE(*,*) 'L=',L
+           WRITE(*,*) 'Rsol0(iso_eau)=',Rsol0(iso_eau)
+           WRITE(*,*) 'R1(iso_eau)=',R1(iso_eau)
+           WRITE(*,*) 'q10=',q10
+           WRITE(*,*) 'zxtalphal(iso_eau)=',zxtalphal(iso_eau)
            stop
          endif
-        endif !if (iso_eau.gt.0) then
-        if (iso_HDO.gt.0) then 
-          if (qevap.gt.ridicule_evap*1800) then
+        endif !if (iso_eau.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
+          if (qevap.gt.ridicule_evap*1800) THEN
             if (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
-&                   'sol_nu 113').eq.1) then
-              write(*,*) 'qevap=',qevap 
-              write(*,*) 'qsol0=',qsol0
-              write(*,*) 'deltaD(R1)=',deltaD(R1((iso_HDO)))
-              write(*,*) 'deltaD(alpha*R1)=',deltaD &
+&                   'sol_nu 113').eq.1) THEN
+              WRITE(*,*) 'qevap=',qevap
+              WRITE(*,*) 'qsol0=',qsol0
+              WRITE(*,*) 'deltaD(R1)=',deltaD(R1((iso_HDO)))
+              WRITE(*,*) 'deltaD(alpha*R1)=',deltaD &
 &                   (zxtalphal(iso_HDO)*R1((iso_HDO)))
-              write(*,*) 'deltaD(Rsol0)=', &
+              WRITE(*,*) 'deltaD(Rsol0)=', &
 &                   deltaD(Rsol0((iso_HDO)))
-              write(*,*) 'L=',L
-              write(*,*) 'Pveg=',Pveg
+              WRITE(*,*) 'L=',L
+              WRITE(*,*) 'Pveg=',Pveg
               ! on ne plante que si ca donne lieu à des valeurs
               ! aberrante de deltaD1
-              write(*,*) 'deltaD1new=',deltaD((  &
+              WRITE(*,*) 'deltaD1new=',deltaD((  &
 &                   xtnu(iso_HDO)+q10*R1(iso_HDO))  &
 &                  /(q10+qevap))
@@ -1061,19 +1049,19 @@
 &                  'sol_nu 1390')
             endif !if (iso_verif_aberrant_nosto
-          endif !if (qevap.gt.ridicule_evap*1800) then
+          endif !if (qevap.gt.ridicule_evap*1800) THEN
           if (iso_verif_aberrant_choix_nostop(xtnu(iso_HDO), &
-&             qevap,ridicule,1e5,'sol_nu 195').eq.1) then
-             write(*,*) 'h=',h
-             write(*,*) 'qsol0=',qsol0
-             write(*,*) 'deltaD(R1)=',deltaD(R1((iso_HDO)))
-             write(*,*) 'deltaD(alpha*R1)=',deltaD &
+&             qevap,ridicule,1e5,'sol_nu 195').eq.1) THEN
+             WRITE(*,*) 'h=',h
+             WRITE(*,*) 'qsol0=',qsol0
+             WRITE(*,*) 'deltaD(R1)=',deltaD(R1((iso_HDO)))
+             WRITE(*,*) 'deltaD(alpha*R1)=',deltaD &
 &                   (zxtalphal(iso_HDO)*R1((iso_HDO)))
-             write(*,*) 'deltaD(Rsol0)=', &
+             WRITE(*,*) 'deltaD(Rsol0)=', &
 &                   deltaD(Rsol0((iso_HDO)))
-             write(*,*) 'deltaD1new=',deltaD((  &
+             WRITE(*,*) 'deltaD1new=',deltaD((  &
 &                   xtnu(iso_HDO)+q10*R1(iso_HDO))  &
 &                  /(q10+qevap))
              
-             if (ordre1.eq.1) then
+             if (ordre1.eq.1) THEN
                  ! l'ordre 2 aurait-il amélioré?
                do ixt=1,niso
@@ -1083,7 +1071,7 @@
 &                    /(q10+qevap+(L-qevap)*zxtalphal(ixt))
                enddo  
-               write(*,*) 'si 2e ordre:deltaDevap=', &
+               WRITE(*,*) 'si 2e ordre:deltaDevap=', &
 &                   deltaD(xtnu2(iso_hdo)/qevap)
-               write(*,*) 'si 2e ordre, deltaD1new=',  &
+               WRITE(*,*) 'si 2e ordre, deltaD1new=',  &
 &                   deltaD((  &
 &                   xtnu2(iso_HDO)+q10*R1(iso_HDO))  &
